﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace AngularAspNetMvc.Models.Core
{
    public abstract class EditableModel : IValidatableObject
    {
        public IEnumerable<ValidationResult> Validate(ValidationContext validationContext)
        {
            return new List<ValidationResult>(ValidateCore(validationContext));
        }

        protected virtual IEnumerable<ValidationResult> ValidateCore(ValidationContext validationContext)
        {
            return new List<ValidationResult>();
        }
    }
}
