﻿using System;
using System.Data.Entity;
using System.Web;
using System.Web.Mvc;
using System.Web.Optimization;
using System.Web.Routing;
using System.Web.Http;
using AngularAspNetMvc.DataAccess.Migrations;
using AngularAspNetMvc.Models.Mappings;
using AngularAspNetMvc.Web.App_Start;

namespace AngularAspNetMvc.Web
{
    public class Global : HttpApplication
    {
        void Application_Start(object sender, EventArgs e)
        {
            // Code that runs on application startup
            AreaRegistration.RegisterAllAreas();
            GlobalConfiguration.Configure(WebApiConfig.Register);
            RouteConfig.RegisterRoutes(RouteTable.Routes);     
            BundleConfig.RegisterBundles(BundleTable.Bundles);
            MappingConfiguration.CreateMaps();
            ControllerBuilder.Current.SetControllerFactory(new CustomControllerFactory());
            Database.SetInitializer(new Migrator());
        }
    }
}