var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    __.prototype = b.prototype;
    d.prototype = new __();
};
var app;
(function (app) {
    var contacts;
    (function (contacts) {
        var ContactsTypesController = (function (_super) {
            __extends(ContactsTypesController, _super);
            function ContactsTypesController(utilities, $location, contactsTypeService) {
                var _this = this;
                _super.call(this);
                this.utilities = utilities;
                this.$location = $location;
                this.contactsTypeService = contactsTypeService;
                this.editType = function (contactType) {
                    _this.$location.path("/contacttype/edit/" + contactType.ContactTypeId);
                };
                this.add = function () {
                    _this.$location.path("/contacttype/edit/add");
                };
                this.getData = function () {
                    _this.contactsTypeService.getContactTypes(function (result) {
                        _this.contactTypes = result;
                    });
                };
                this.deleteType = function (contactType) {
                    var buttons = [
                        {
                            mehtod: function () {
                                _this.handleDeleteType(contactType);
                            },
                            label: "Delete"
                        },
                        {
                            label: "Cancel"
                        }
                    ];
                    _this.utilities.showMessage("Delete type " + contactType.Name + "?", false, buttons);
                };
                this.handleDeleteType = function (contactType) {
                    _this.contactsTypeService.deleteContactType(contactType, function (result) {
                        if (result) {
                            _this.getData();
                        }
                    });
                };
                this.getData();
            }
            return ContactsTypesController;
        })(app.core.controllers.CoreController);
        contacts.ContactsTypesController = ContactsTypesController;
        angular.module("app.contacts.contactsTypesController", ["app.core.services.utilities", "app.core.services.http", "app.contactTypes.services"])
            .controller("app.contacts.contactsTypesController", ["utilities", "$location", "contactsTypeService", ContactsTypesController]);
    })(contacts = app.contacts || (app.contacts = {}));
})(app || (app = {}));
//# sourceMappingURL=contactsTypesController.js.map