var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    __.prototype = b.prototype;
    d.prototype = new __();
};
var app;
(function (app) {
    var reports;
    (function (reports) {
        var reportsController;
        (function (reportsController) {
            var ReportsController = (function (_super) {
                __extends(ReportsController, _super);
                function ReportsController(reportsService, utilities, $location) {
                    var _this = this;
                    _super.call(this);
                    this.reportsService = reportsService;
                    this.utilities = utilities;
                    this.$location = $location;
                    this.getData = function () {
                        _this.reportsService.getReports(function (data) {
                            _this.reports = data;
                        });
                    };
                    this.viewReport = function (report) {
                        _this.$location.path("/reports/view/" + report.ReportId);
                    };
                    this.getData();
                }
                return ReportsController;
            })(app.core.controllers.CoreController);
            angular.module("app.reports.reportsController", ["app.core.services.utilities", "app.core.services.http", "app.reports.reportsService"])
                .controller("app.reports.reportsController", ["app.reports.reportsService", "utilities", "$location", ReportsController]);
        })(reportsController = reports.reportsController || (reports.reportsController = {}));
    })(reports = app.reports || (app.reports = {}));
})(app || (app = {}));
//# sourceMappingURL=reportsController.js.map