﻿

declare module app.reports.models {

	interface IReport {
		ReportId: number;
		ReportFileName: string;
		ReportName: string;
		ReportDescription: string;
		ReportParameters: IReportParameter[];
	}

	interface IReportParameter {
		ReportParameterId: number;
		ReportId: number;
		ReportParameterName: string;
		ParameterName: string;
		ParameterViewName: string;
	}

	interface IReportRequest {
		ReportRequestId: number;
		ReportId: number;
		ReportFileName: string;
		ReportName: string;
		ReportDescription: string;
		UniqueId: string;
		ReportRequestParameters: IReportRequestParameter[];
	}

	interface IReportRequestParameter {
		ReportRequestParameterId: number;
		ParameterValue: string;
		ParameterName: string;
		ReportParameterName: string;
		ParameterViewName: string;
	}


}

