var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    __.prototype = b.prototype;
    d.prototype = new __();
};
var app;
(function (app) {
    var core;
    (function (core) {
        var controllers;
        (function (controllers) {
            var CoreController = (function () {
                function CoreController() {
                }
                CoreController.prototype.showError = function (ngModelController, error) {
                    if (ngModelController.$dirty) {
                        return ngModelController.$error[error];
                    }
                    return false;
                };
                CoreController.prototype.createCacheObjectIfNeeded = function () {
                    if (!this.cacheObject) {
                        var injector = angular.element("[data-ng-app=\"app\"]").injector();
                        var cacheService = injector.get("$cacheFactory");
                        this.cacheObject = cacheService.get("controllerCache");
                        if (!this.cacheObject) {
                            this.cacheObject = cacheService("controllerCache");
                        }
                    }
                };
                CoreController.prototype.AddToCache = function (key, value) {
                    this.createCacheObjectIfNeeded();
                    this.cacheObject.put(key, value);
                };
                CoreController.prototype.GetFromCache = function (key) {
                    this.createCacheObjectIfNeeded();
                    return this.cacheObject.get(key);
                };
                return CoreController;
            })();
            controllers.CoreController = CoreController;
            var PagedController = (function (_super) {
                __extends(PagedController, _super);
                function PagedController() {
                    var _this = this;
                    _super.call(this);
                    this.performSearch = function () {
                        _this.state = "";
                        _this.search(_this.pageNumber, _this.pageSize, _this.name, "searchCompleted");
                    };
                    this.gotoPage = function (pageNumber) {
                        _this.pageNumber = pageNumber;
                        _this.state = "";
                        _this.search(_this.pageNumber, _this.pageSize, _this.name, "pageLoadCompleted");
                    };
                    this.pageCount = 0;
                    this.pageSize = 10;
                    this.currentPage = 1;
                    this.pageNumber = 1;
                }
                return PagedController;
            })(CoreController);
            controllers.PagedController = PagedController;
        })(controllers = core.controllers || (core.controllers = {}));
    })(core = app.core || (app.core = {}));
})(app || (app = {}));
//# sourceMappingURL=appController.js.map