var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    __.prototype = b.prototype;
    d.prototype = new __();
};
var app;
(function (app) {
    var home;
    (function (home) {
        var controllers;
        (function (controllers) {
            var HomeController = (function (_super) {
                __extends(HomeController, _super);
                function HomeController($location, $route, $timeout, menuService) {
                    var _this = this;
                    _super.call(this);
                    this.$location = $location;
                    this.menuService = menuService;
                    this.navigate = function (path) {
                        _this.$location.path(path);
                    };
                    var self = this;
                    var isLoaded = $route.routes["/home"];
                    menuService.getMenu()
                        .success(function (data) {
                        self.menus = [];
                        angular.forEach(data, function (menu) {
                            if (menu.IsMenu) {
                                self.menus.push(menu);
                            }
                        });
                        var stop = $timeout(function () {
                            if ($route.routes["/home"] && !isLoaded) {
                                $timeout.cancel(stop);
                                isLoaded = true;
                                $route.reload();
                            }
                        }, 50);
                    })
                        .error(function (result, status, headers, config) {
                        if (status !== 0) {
                            alert("error");
                        }
                    });
                }
                return HomeController;
            })(app.core.controllers.CoreController);
            angular.module("app.home.controllers", ["app.home.services"])
                .controller("homeController", ["$location", "$route", "$timeout", "app.home.menuService", HomeController]);
        })(controllers = home.controllers || (home.controllers = {}));
    })(home = app.home || (app.home = {}));
})(app || (app = {}));
//# sourceMappingURL=homeController.js.map