var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    __.prototype = b.prototype;
    d.prototype = new __();
};
var app;
(function (app) {
    var reports;
    (function (reports) {
        var reportsViewController;
        (function (reportsViewController) {
            var ReportsViewController = (function (_super) {
                __extends(ReportsViewController, _super);
                function ReportsViewController(reportsService, utilities, $location, $routeParams, globalsService) {
                    var _this = this;
                    _super.call(this);
                    this.reportsService = reportsService;
                    this.utilities = utilities;
                    this.$location = $location;
                    this.$routeParams = $routeParams;
                    this.globalsService = globalsService;
                    this.getData = function (reportId) {
                        _this.reportsService.getReport(reportId, function (data) {
                            _this.report = data;
                        });
                    };
                    this.runReport = function () {
                        _this.reportsService.createRequest(_this.report, function (result) {
                            if (result) {
                                _this.report.UniqueId = result;
                                _this.reportSource = _this.globalsService.baseUrl + "ViewsStatic/ReportForm.aspx?r=" + _this.report.UniqueId;
                            }
                        });
                    };
                    this.runPdfReport = function () {
                        _this.reportsService.createRequest(_this.report, function (result) {
                            if (result) {
                                _this.report.UniqueId = result;
                                _this.reportSource = _this.globalsService.baseUrl + "ViewsStatic/ReportHandler.ashx?r=" + _this.report.UniqueId;
                            }
                        });
                    };
                    this.getData($routeParams.id);
                    this.reportViewUrl = undefined;
                }
                return ReportsViewController;
            })(app.core.controllers.CoreController);
            angular.module("app.reports.reportsViewController", ["app.core.services.utilities", "app.reports.reportsService", "app.globalsModule"])
                .controller("app.reports.reportsViewController", [
                "app.reports.reportsService", "utilities", "$location", "$routeParams", "globalsService", ReportsViewController]);
        })(reportsViewController = reports.reportsViewController || (reports.reportsViewController = {}));
    })(reports = app.reports || (app.reports = {}));
})(app || (app = {}));
//# sourceMappingURL=reportsViewController.js.map